﻿using System.Collections.Generic;
using System.Windows.Controls;
using Telerik.Windows.Controls.ChartView;

namespace SilverlightApplication15
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            List<ChartData> data = new List<ChartData>();
            data.Add(new ChartData() { Category = "Apples", Value = 2 });
            data.Add(new ChartData() { Category = "Oranges", Value = 5 });
            data.Add(new ChartData() { Category = "Pears", Value = 3 });
            data.Add(new ChartData() { Category = "Apples", Value = 5 });
            data.Add(new ChartData() { Category = "Oranges", Value = 6 });
            data.Add(new ChartData() { Category = "Pears", Value = 7 });
            data.Add(new ChartData() { Category = "Apples", Value = 9 });
            data.Add(new ChartData() { Category = "Apples", Value = 7 });
            data.Add(new ChartData() { Category = "Apples", Value = 11 });

            var series = chart.Series[0] as LineSeries;
            series.CategoryBinding = new PropertyNameDataPointBinding("Category");
            series.ValueBinding = new PropertyNameDataPointBinding("Value");
            series.ItemsSource = data;
        }
    }

    public class ChartData
    {
        public string Category
        {
            get;
            set;
        }

        public double Value
        {
            get;
            set;
        }
    }
}
